Index: greenstone3/trunk/build.xml
===================================================================
--- greenstone3/trunk/build.xml	(revision 20950)
+++ greenstone3/trunk/build.xml	(revision 20963)
@@ -1711,50 +1711,38 @@
     <mkdir dir="${basedir}/flax-resources"/>
     <mkdir dir="${basedir}/flax-lib"/>
-
-    <exec executable="svn"><arg value="checkout"/><arg value="${flax.checkout.path}/src/java/org/flax"/>
-      <arg value="src/java/org/flax"/></exec>
-    <exec executable="svn"><arg value="checkout"/><arg value="${flax.checkout.path}/src/java/org/greenstone/gsdl3/flax"/>
-      <arg value="src/java/org/greenstone/gsdl3/flax"/></exec>
-    <exec executable="svn"><arg value="checkout"/><arg value="${flax.checkout.path}/web/WEB-INF/classes/flax"/>
-      <arg value="${web.home}/WEB-INF/classes/flax"/></exec>
-    <exec executable="svn"><arg value="checkout"/><arg value="${flax.checkout.path}/web/interfaces/flax"/>
-      <arg value="${web.home}/interfaces/flax"/></exec>
-    <exec executable="svn"><arg value="checkout"/><arg value="${flax.checkout.path}/web/interfaces/flaxmodule"/>
-      <arg value="${web.home}/interfaces/flax"/></exec>
-    <exec executable="svn"><arg value="checkout"/><arg value="${flax.checkout.path}/web/sites/flax"/>
-      <arg value="${web.home}/sites/flax"/></exec>
-    <exec executable="svn"><arg value="checkout"/><arg value="${flax.checkout.path}/flax-resources"/>
-      <arg value="flax-resources"/></exec>
-    <exec executable="svn"><arg value="checkout"/><arg value="${flax.checkout.path}/lib"/>
-      <arg value="flax-lib"/></exec>
-
+    <svn>
+      <checkout url="${flax.checkout.path}/src/java/org/flax/"  
+        destPath="${basedir}/src/java/org/flax"/>
+      <checkout url="${flax.checkout.path}/src/java/org/greenstone/gsdl3/flax/" 
+        destPath="${basedir}/src/java/org/greenstone/gsdl3/flax"/>
+      <checkout url="${flax.checkout.path}/web/WEB-INF/classes/flax/" 
+        destPath="${web.home}/WEB-INF/classes/flax"/>
+      <checkout url="${flax.checkout.path}/web/interfaces/flax/" 
+        destPath="${web.home}/interfaces/flax"/>
+      <checkout url="${flax.checkout.path}/web/interfaces/flaxmodule/" 
+        destPath="${web.home}/interfaces/flaxmodule"/>
+      <checkout url="${flax.checkout.path}/web/sites/flax/" 
+        destPath="${web.home}/sites/flax"/>
+      <checkout url="${flax.checkout.path}/flax-resources"
+        destPath="${basedir}/flax-resources"/>
+      <checkout url="${flax.checkout.path}/lib"
+        destPath="${basedir}/flax-lib"/>
+    </svn>
     <echo>prepare flax files...</echo>
     <move file="${web.home}/WEB-INF/web.xml" tofile="${web.home}/WEB-INF/web.xml.greenstone3backup"/>
     <antcall target="flax-copy-files" />
-    <antcall target="unzip-flax-resources" />
   </target>
 
   <target name="update-flax" description="update flax from repository">
     <echo>updating flax ...</echo>
-    <exec executable="svn"><arg value="update"/><arg value="src/java/org/flax"/></exec>
-
-    <exec executable="svn"><arg value="update"/><arg value="src/java/org/flax"/></exec>
-    <exec executable="svn"><arg value="update"/><arg value="src/java/org/greenstone/gsdl3/flax"/></exec>
-    <exec executable="svn"><arg value="update"/><arg value="${web.home}/WEB-INF/classes/flax"/></exec>
-    <exec executable="svn"><arg value="update"/><arg value="${web.home}/interfaces/flax"/></exec>
-    <exec executable="svn"><arg value="update"/><arg value="${web.home}/sites/flax"/></exec>
+    <svn>
+      <update dir="${basedir}/src/java/org/flax"/>
+      <update dir="${basedir}/src/java/org/greenstone/gsdl3/flax"/>
+      <update dir="${web.home}/WEB-INF/classes/flax"/>
+      <update dir="${web.home}/interfaces/flax"/>
+      <update dir="${web.home}/interfaces/flaxmodule"/>
+      <update dir="${web.home}/sites/flax"/>
+    </svn>
     <antcall target="flax-copy-files" />
-  </target>
-
-  <target name="unzip-flax-resources" >
-    <property name="classes.dir" value="${web.home}/WEB-INF/classes/flax"/>
-    <unzip dest="${classes.dir}">  
-      <fileset dir="${classes.dir}">
-        <include name="*.zip"/>
-      </fileset>    
-    </unzip>    
-    <delete>
-      <fileset dir="${classes.dir}" includes="*.zip"/>
-    </delete>
   </target>
   
@@ -1771,5 +1759,4 @@
     	</filterset>	
     </copy>
-    <copy file="${basedir}/flax-resources/flax-build.xml" todir="${basedir}" overwrite="true" />
     <copy file="${basedir}/flax-lib/opennlp-tools-1.3.0.jar" todir="${web.home}/WEB-INF/lib" overwrite="true" />    
     <copy todir="${web.home}/interfaces/flaxmodule/transform" overwrite="true">
@@ -1777,4 +1764,5 @@
     </copy>
   </target>
+
 
   <target name="compile-javadocs">