Index: release-kits/shared/core/language-strings/LanguagePack_fr.properties
===================================================================
--- release-kits/shared/core/language-strings/LanguagePack_fr.properties	(revision 20966)
+++ release-kits/shared/core/language-strings/LanguagePack_fr.properties	(revision 20967)
@@ -7,5 +7,6 @@
 ### Intro Page ###
 page.intro.displayText=Greenstone @version@ installer
-welcome-message.displayText=Greenstone@version.major@ est un programme qui permet la crÃ©ation et la diffusion de bibliothÃšques numÃ©riques.\n\nIl est recommandÃ© de dÃ©sinstaller les versions prÃ©cÃ©dentes de Greenstone@version.major@ avant de poursuivre avec cette installation.
+welcome-message.displayText=Greenstone@version.major@ est un programme qui permet la crÃ©ation et la diffusion de bibliothÃšques numÃ©riques.\n\nCet assistant d'installation contient Greenstone, avec des outils pour hÃ©berger vos bibliothÃšques numÃ©riques (Apache2.2 pour Linux/MacOS, "Greenstone Library Server" pour Windows), des outils de conversion d'images (ImageMagick), ainsi que des logiciels tiers nÃ©cessaires afin de gÃ©rer les documents pdf et postscript (GhostScript - pour Windows et MacOS seulement).
+welcome-greenstone3.displayText=Greenstone@version.major@ est un programme qui permet la crÃ©ation et la diffusion de bibliothÃšques numÃ©riques.
 
 ## License page ###
@@ -20,5 +21,5 @@
 ### InstallShield install detected page ###
 page.dontBudge.displayText=Ancienne version dÃ©tectÃ©e
-is-install-detected.displayText=Une installation de Greenstone2 plus ancienne que la version 2.81, ou une installation de Greenstone3 plus ancienne que la version 3.04, a Ã©tÃ© dÃ©tectÃ©e dans le rÃ©pertoire sÃ©lectionnÃ©. L'installation ne peut pas se poursuivre dans le rÃ©pertoire sÃ©lectionnÃ©.\n\nIl est vivement recommandÃ© de quitter cet installeur, dÃ©sinstaller l'ancienne version de Greenstone, puis redÃ©marrez cette installation. Autrement, vous pouvez retourner sur la page prÃ©cÃ©dente et sÃ©lectionner un rÃ©pertoire d'installation diffÃ©rent.
+is-install-detected.displayText=Une installation de Greenstone2 plus ancienne que la version 2.81, ou une installation de Greenstone3 plus ancienne que la version 3.04, a Ã©tÃ© dÃ©tectÃ©e dans le rÃ©pertoire sÃ©lectionnÃ©. L'installation ne peut pas se poursuivre dans ce rÃ©pertoire.\n\nIl est vivement recommandÃ© de quitter cet installeur, dÃ©sinstaller l'ancienne version de Greenstone, puis recommencer cette installation. Autrement, vous pouvez retourner sur la page prÃ©cÃ©dente et sÃ©lectionner un rÃ©pertoire d'installation diffÃ©rent.
 
 
@@ -51,17 +52,20 @@
 
 Installing_Tomcat.displayText=Apache Tomcat (@bundled.version.tomcat@)
-Installing_Tomcat.explanatoryText=<html>Greenstone3 nÃ©cessite le serveur web Apache Tomcat afin d'hÃ©berger vos bibliothÃšques numÃ©riques<br>sur Internet. Si vous avez une installation existante de Tomcat, vous pouvez l'utiliser<br>(avec quelques changements de configuration). Dans ce cas vous pouvez choisir de ne pas installer ce composant.</html>
+Installing_Tomcat.explanatoryText=<html> Greenstone3 nÃ©cessite le serveur web Apache Tomcat afin d'hÃ©berger vos bibliothÃšques numÃ©riques<br>sur Internet. Si vous avez une installation existante de Tomcat, vous pouvez l'utiliser<br>(avec quelques changements de configuration). Dans ce cas vous pouvez choisir de ne pas installer ce composant.</html>
 
 Installing_Ant.displayText=Apache Ant (@bundled.version.ant@)
-Installing_Ant.explanatoryText=<html>Greenstone3 nÃ©cessite Apache Ant pour dÃ©marrer ou arrÃªter le serveur web Tomcat, pour recompiler <br>le code source, et pour rÃ©aliser quelques tÃ¢ches de maintenance. Si Ant est dÃ©jÃ  installÃ©, <br>vous pouvez alors choisir de ne pas installer ce composant.</html>
+Installing_Ant.explanatoryText=<html> Greenstone3 nÃ©cessite Apache Ant pour dÃ©marrer ou arrÃªter le serveur web Tomcat, pour recompiler <br>le code source, et pour rÃ©aliser quelques tÃ¢ches de maintenance. Si Ant est dÃ©jÃ  installÃ©, <br>vous pouvez alors choisir de ne pas installer ce composant.</html>
+
+Installing_Documented_Examples.displayText=Collections de DÃ©monstration ExpliquÃ©es
+Installing_Documented_Examples.explanatoryText=Une sÃ©rie de collections de dÃ©monstration, dont les pages 'Ã  propos' dÃ©crivent comment elles ont Ã©tÃ© crÃ©Ã©s.\n\nMÃªme si vous ne souhaitez pas installer les Collections de DÃ©monstration ExpliquÃ©es tout de suite, vous pourrez les tÃ©lÃ©charger depuis\nhttp://www.greenstone.org/ ou les obtenir Ã  partir d'un CD-ROM Greenstone.
+
 
 ### Admin password page
 
-
-
-
-
-
-
+page.admin-pages.displayText=Interface d'Administration
+admin-expl.displayText=L'interface d'administration de Greenstone vous permet de gÃ©rer une base de donnÃ©e d'utilisateurs,\nce qui est requis si vous souhaitez mettre en place une connexion Ã  distance vers Greenstone. Elle permet Ã©galement la lecture des fichiers de registre (log) ainsi que d'Ã©diter facilement le fichier de configuration principal 'main.cfg'.
+admin-expl-2.displayText=Voulez-vous activer l'interface d'administration de Greenstone? (La crÃ©ation d'un mot de passe vous sera demandÃ©e lors de l'Ã©tape suivante.)
+admin-expl-3.displayText=ATTENTION: Si vous activez l'interface d'administration, il se pourrait qu'elle devienne accessible depuis l'Internet. Il est donc trÃšs important de choisir un mot de passe sÃ©curisÃ©.
+enable.admin.pages.displayText=Activer l'interface d'Administration
 
 page.admin-password.displayText=Veuillez crÃ©er un mot de passe Administrateur
@@ -103,9 +107,9 @@
 uninstaller.uninstall.options=Options de DÃ©sinstallation:
 uninstaller.keep.collections=Garder les Collections
-uninstaller.are.you.sure=Etes vous certain(e) de vouloir Greenstone ?
+uninstaller.are.you.sure=Etes vous certain(e) de vouloir dÃ©sinstaller Greenstone ?
 uninstaller.are.you.sure.collections=Vous avez choisi de dÃ©sinstaller vos collections.\nveuillez sauvegarder vos collections si vous souhaitez les conserver avant de continuer.
 uninstaller.failed.to.figure.cd=Le rÃ©pertoire courant n'a pas Ã©tÃ© dÃ©tectÃ©
 uninstaller.cancelled=DÃ©sinstallation annulÃ©e
-uninstaller.finished=DÃ©sinstallation TerminÃ©e
+uninstaller.finished=DÃ©sinstallation terminÃ©e
 uninstaller.deleting=Supprime {file}
 
@@ -156,13 +160,13 @@
 output=DÃ©tail de l'installation
 errors=Erreur(s)
-notCorrectFormat=Ce champ n'est pas dans un format valide
+notCorrectFormat=Ce champ n'est pas complÃ©tÃ© dans un format valide
 notCorrectPasswordFormat=Ce mot de passe n'est pas valide
 passwordsDoNotMatch=Les mots de passe ne correspondent pas
-installationFailed=Install Interrompue
+installationFailed=Installation Interrompue
 propertiesVersionMismatch=Quelques options sont manquantes depuis la version prÃ©cÃ©dente et doivent Ãªtre entrÃ©es manuellement, continuer ?
 
 Finished=TerminÃ©
 Failed=Installation Interrompue, veuillez voir les messages d'erreur.
-ant.failure=Le lancement de Ant a pose problÃšme â veuillez examiner le fichier log pour plus de dÃ©tails
+ant.failure=Le lancement de Ant a pose problÃšme â veuillez examiner le fichier de registre (log) pour plus de dÃ©tails.
 
 license.next.text=Accepter
@@ -176,16 +180,16 @@
 affirmativeChars=V,O  
 #The value of 'negativeChars' comes from the first letters of "False" and "No"
-
+negativeChars=F,N
 licenseAccept=Acceptez-vous la licence ? O ou N [dÃ©faut\: O]  
-clickViewLicense=Appuyer sur Â«EnterÂ» pour afficher la licence  
-clickViewText=Appuyer sur Â«EnterÂ» pour continuer  
-enterNumber=Entrez un nombre  
+clickViewLicense=Appuyer sur la touche EntrÃ©e pour afficher la licence  
+clickViewText=Appuyer sur  la touche EntrÃ©e pour continuer  
+enterNumber=Entrez un chiffre  
 fileDoesNotExist=Le Ficher n'existe pas  
 #The value of backChar is the first letter "Back"
-
+backChar=P
 #The value of nextChar is the first letter "Next"
-nextChar=N  
+nextChar=S  
 #In the next two properties, 'N' should be replaced the value of the 'nextChar' property
-license_next=Entrez 'N' pour la page suivante, entrez tout autre caractÃšre pour aller Ã  la fin  
-large_select_next=Entrez 'N' pour la page suivante, entrez tout autre caractÃšre pour aller Ã  la fin  
-availableOptions=Afficher les options disponisbles  
+license_next=Tapez 'S' pour la page suivante, entrez tout autre caractÃšre pour aller Ã  la fin  
+large_select_next=Tapez 'S' pour la page suivante, entrez tout autre caractÃšre pour aller Ã  la fin  
+availableOptions=Afficher les options disponibles  