Index: gs3-extensions/pharos/trunk/cmdline-api-srcpack/VSprops.properties
===================================================================
--- gs3-extensions/pharos/trunk/cmdline-api-srcpack/VSprops.properties	(revision 20990)
+++ 	(revision )
@@ -1,16 +1,0 @@
-# video segmentation params
-
-vs.cbsewsendpoint=http://localhost:8080/pharos/services/ContentBasedSearchWSProxy
-
-vs.features=margTamura-2+2+2-M-G-6-3.T3x3,margCIELAB-2+2+2-M-G.T3x3,gabor-6-4
-
-vs.path2hive=/usr/local/pharos-greenstone3/ext/pharos/cmdline-api-srcpack/bin/linux/hive2_ffmpegsvn
-
-vs.path2shotMpeg7=/usr/local/pharos-greenstone3/ext/pharos/cmdline-api-srcpack/bin/linux/shot_mpeg7
-
-vs.path2anntotate=/usr/local/pharos-greenstone3/ext/pharos/cmdline-api-srcpack/bin/linux/annotate-1_8
-
-vs.path2ftfmpeg7=/usr/local/pharos-greenstone3/ext/pharos/cmdline-api-srcpack/bin/linux/ftf_mpeg7_v4-jpg
-
-vs.workpath=/tmp/vstmpdir/
-
Index: gs3-extensions/pharos/trunk/web/WEB-INF/classes/log4j.properties
===================================================================
--- gs3-extensions/pharos/trunk/web/WEB-INF/classes/log4j.properties	(revision 20990)
+++ 	(revision )
@@ -1,52 +1,0 @@
-#
-# Licensed to the Apache Software Foundation (ASF) under one
-# or more contributor license agreements. See the NOTICE file
-# distributed with this work for additional information
-# regarding copyright ownership. The ASF licenses this file
-# to you under the Apache License, Version 2.0 (the
-# "License"); you may not use this file except in compliance
-# with the License. You may obtain a copy of the License at
-#
-# http://www.apache.org/licenses/LICENSE-2.0
-#
-# Unless required by applicable law or agreed to in writing,
-# software distributed under the License is distributed on an
-# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
-# KIND, either express or implied. See the License for the
-# specific language governing permissions and limitations
-# under the License.
-#
-
-# Set root category priority to INFO and its only appender to CONSOLE.
-log4j.rootCategory=INFO, CONSOLE
-#log4j.rootCategory=INFO, CONSOLE, LOGFILE
-
-# Set the enterprise logger priority to FATAL
-log4j.logger.org.apache.axis2.enterprise=FATAL
-log4j.logger.de.hunsicker.jalopy.io=FATAL
-log4j.logger.httpclient.wire.header=FATAL
-log4j.logger.org.apache.commons.httpclient=FATAL
-
-# CONSOLE is set to be a ConsoleAppender using a PatternLayout.
-log4j.appender.CONSOLE=org.apache.log4j.ConsoleAppender
-log4j.appender.CONSOLE.layout=org.apache.log4j.PatternLayout
-log4j.appender.CONSOLE.layout.ConversionPattern=[%p] %m%n
-
-# LOGFILE is set to be a File appender using a PatternLayout.
-log4j.appender.LOGFILE=org.apache.log4j.FileAppender
-log4j.appender.LOGFILE.File=axis2.log
-log4j.appender.LOGFILE.Append=true
-log4j.appender.LOGFILE.layout=org.apache.log4j.PatternLayout
-log4j.appender.LOGFILE.layout.ConversionPattern=%d [%t] %-5p %c %x - %m%n
-
-
-# CBSE logging
-log4j.logger.eu.pharos.kmi.cbse=ALL,CBSEFILE
-log4j.appender.CBSEFILE=org.apache.log4j.RollingFileAppender
-log4j.appender.CBSEFILE.maxFileSize=100MB
-log4j.appender.CBSEFILE.maxBackupIndex=5
-log4j.appender.CBSEFILE.File=/usr/local/pharos-greenstone3/packages/tomcat/logs/CBSE.log
-log4j.appender.CBSEFILE.Append=true
-log4j.appender.CBSEFILE.threshold=all
-log4j.appender.CBSEFILE.layout=org.apache.log4j.PatternLayout
-log4j.appender.CBSEFILE.layout.ConversionPattern=%d{yyyy-MM-dd HH:mm:ss} <%-5p> [%t] %-15.15c{1} (%-.15x) - %m%n
Index: gs3-extensions/pharos/trunk/web/WEB-INF/services/CBSE.properties
===================================================================
--- gs3-extensions/pharos/trunk/web/WEB-INF/services/CBSE.properties	(revision 20990)
+++ 	(revision )
@@ -1,14 +1,0 @@
-# To change this template, choose Tools | Templates
-# and open the template in the editor.
-
-cbse.proxy=false
-cbse.proxyhost=wwwcache.cs.waikato.ac.nz
-cbse.proxyport=80
-# kmi image search  webservice endpoint
-cbse.kmiiswsendpoint=http://localhost:8080/pharos/services/ImageSearchWSProxy
-# kmi contenttarget  webservice endpoint
-cbse.kmictwsendpoint=http://localhost:8080/pharos/services/ContentTargetWSProxy
-
-
-
-