Index: gs2-extensions/gsdl-video/trunk/build-srcpack/packages/CASCADE-MAKE/A52DEC.sh
===================================================================
--- gs2-extensions/gsdl-video/trunk/build-srcpack/packages/CASCADE-MAKE/A52DEC.sh	(revision 21170)
+++ gs2-extensions/gsdl-video/trunk/build-srcpack/packages/CASCADE-MAKE/A52DEC.sh	(revision 21171)
@@ -9,5 +9,5 @@
 source ../../cascade-make/lib/cascade-lib.bash
 
-prefix=$GEXTVIDEO_INSTALLED/$GSDLOS
+prefix=$GEXTVIDEO_INSTALLED
 
 
Index: gs2-extensions/gsdl-video/trunk/build-srcpack/packages/CASCADE-MAKE/FAAC.sh
===================================================================
--- gs2-extensions/gsdl-video/trunk/build-srcpack/packages/CASCADE-MAKE/FAAC.sh	(revision 21170)
+++ gs2-extensions/gsdl-video/trunk/build-srcpack/packages/CASCADE-MAKE/FAAC.sh	(revision 21171)
@@ -9,5 +9,5 @@
 source ../../cascade-make/lib/cascade-lib.bash
 
-prefix=$GEXTVIDEO_INSTALLED/$GSDLOS
+prefix=$GEXTVIDEO_INSTALLED
 
 
Index: gs2-extensions/gsdl-video/trunk/build-srcpack/packages/CASCADE-MAKE/FAAD2.sh
===================================================================
--- gs2-extensions/gsdl-video/trunk/build-srcpack/packages/CASCADE-MAKE/FAAD2.sh	(revision 21170)
+++ gs2-extensions/gsdl-video/trunk/build-srcpack/packages/CASCADE-MAKE/FAAD2.sh	(revision 21171)
@@ -9,5 +9,5 @@
 source ../../cascade-make/lib/cascade-lib.bash
 
-prefix=$GEXTVIDEO_INSTALLED/$GSDLOS
+prefix=$GEXTVIDEO_INSTALLED
 
 
Index: gs2-extensions/gsdl-video/trunk/build-srcpack/packages/CASCADE-MAKE/FFKEYFRAME.sh
===================================================================
--- gs2-extensions/gsdl-video/trunk/build-srcpack/packages/CASCADE-MAKE/FFKEYFRAME.sh	(revision 21170)
+++ gs2-extensions/gsdl-video/trunk/build-srcpack/packages/CASCADE-MAKE/FFKEYFRAME.sh	(revision 21171)
@@ -9,5 +9,5 @@
 source ../../cascade-make/lib/cascade-lib.bash
 
-prefix=$GEXTVIDEO_INSTALLED/$GSDLOS
+prefix=$GEXTVIDEO_INSTALLED
 
 opt_run_untar $force_untar $auto_untar $package $version
Index: gs2-extensions/gsdl-video/trunk/build-srcpack/packages/CASCADE-MAKE/FFMPEG.sh
===================================================================
--- gs2-extensions/gsdl-video/trunk/build-srcpack/packages/CASCADE-MAKE/FFMPEG.sh	(revision 21170)
+++ gs2-extensions/gsdl-video/trunk/build-srcpack/packages/CASCADE-MAKE/FFMPEG.sh	(revision 21171)
@@ -13,5 +13,5 @@
 source ../../cascade-make/lib/cascade-lib.bash
 
-prefix=$GEXTVIDEO_INSTALLED/$GSDLOS
+prefix=$GEXTVIDEO_INSTALLED
 
 opt_run_untar $force_untar $auto_untar $package $version
Index: gs2-extensions/gsdl-video/trunk/build-srcpack/packages/CASCADE-MAKE/FLVTOOL2.sh
===================================================================
--- gs2-extensions/gsdl-video/trunk/build-srcpack/packages/CASCADE-MAKE/FLVTOOL2.sh	(revision 21170)
+++ gs2-extensions/gsdl-video/trunk/build-srcpack/packages/CASCADE-MAKE/FLVTOOL2.sh	(revision 21171)
@@ -9,5 +9,5 @@
 source ../../cascade-make/lib/cascade-lib.bash
 
-prefix=$GEXTVIDEO_INSTALLED/$GSDLOS
+prefix=$GEXTVIDEO_INSTALLED
 
 
Index: gs2-extensions/gsdl-video/trunk/build-srcpack/packages/CASCADE-MAKE/LAME.sh
===================================================================
--- gs2-extensions/gsdl-video/trunk/build-srcpack/packages/CASCADE-MAKE/LAME.sh	(revision 21170)
+++ gs2-extensions/gsdl-video/trunk/build-srcpack/packages/CASCADE-MAKE/LAME.sh	(revision 21171)
@@ -9,5 +9,5 @@
 source ../../cascade-make/lib/cascade-lib.bash
 
-prefix=$GEXTVIDEO_INSTALLED/$GSDLOS
+prefix=$GEXTVIDEO_INSTALLED
 
 opt_run_untar $force_untar $auto_untar $package $version
Index: gs2-extensions/gsdl-video/trunk/build-srcpack/packages/CASCADE-MAKE/LIBHIVE2.sh
===================================================================
--- gs2-extensions/gsdl-video/trunk/build-srcpack/packages/CASCADE-MAKE/LIBHIVE2.sh	(revision 21170)
+++ gs2-extensions/gsdl-video/trunk/build-srcpack/packages/CASCADE-MAKE/LIBHIVE2.sh	(revision 21171)
@@ -9,5 +9,5 @@
 source ../../cascade-make/lib/cascade-lib.bash
 
-prefix=$GEXTVIDEO_INSTALLED/$GSDLOS
+prefix=$GEXTVIDEO_INSTALLED
 
 
Index: gs2-extensions/gsdl-video/trunk/build-srcpack/packages/CASCADE-MAKE/LIBJPEG.sh
===================================================================
--- gs2-extensions/gsdl-video/trunk/build-srcpack/packages/CASCADE-MAKE/LIBJPEG.sh	(revision 21170)
+++ gs2-extensions/gsdl-video/trunk/build-srcpack/packages/CASCADE-MAKE/LIBJPEG.sh	(revision 21171)
@@ -9,5 +9,5 @@
 source ../../cascade-make/lib/cascade-lib.bash
 
-prefix=$GEXTVIDEO_INSTALLED/$GSDLOS
+prefix=$GEXTVIDEO_INSTALLED
 
 
Index: gs2-extensions/gsdl-video/trunk/build-srcpack/packages/CASCADE-MAKE/LIBOGG.sh
===================================================================
--- gs2-extensions/gsdl-video/trunk/build-srcpack/packages/CASCADE-MAKE/LIBOGG.sh	(revision 21170)
+++ gs2-extensions/gsdl-video/trunk/build-srcpack/packages/CASCADE-MAKE/LIBOGG.sh	(revision 21171)
@@ -9,5 +9,5 @@
 source ../../cascade-make/lib/cascade-lib.bash
 
-prefix=$GEXTVIDEO_INSTALLED/$GSDLOS
+prefix=$GEXTVIDEO_INSTALLED
 
 opt_run_untar $force_untar $auto_untar $package $version
Index: gs2-extensions/gsdl-video/trunk/build-srcpack/packages/CASCADE-MAKE/LIBTHEORA.sh
===================================================================
--- gs2-extensions/gsdl-video/trunk/build-srcpack/packages/CASCADE-MAKE/LIBTHEORA.sh	(revision 21170)
+++ gs2-extensions/gsdl-video/trunk/build-srcpack/packages/CASCADE-MAKE/LIBTHEORA.sh	(revision 21171)
@@ -9,5 +9,5 @@
 source ../../cascade-make/lib/cascade-lib.bash
 
-prefix=$GEXTVIDEO_INSTALLED/$GSDLOS
+prefix=$GEXTVIDEO_INSTALLED
 
 opt_run_untar $force_untar $auto_untar $package $version .tar.bz2
Index: gs2-extensions/gsdl-video/trunk/build-srcpack/packages/CASCADE-MAKE/LIBVORBIS.sh
===================================================================
--- gs2-extensions/gsdl-video/trunk/build-srcpack/packages/CASCADE-MAKE/LIBVORBIS.sh	(revision 21170)
+++ gs2-extensions/gsdl-video/trunk/build-srcpack/packages/CASCADE-MAKE/LIBVORBIS.sh	(revision 21171)
@@ -9,5 +9,5 @@
 source ../../cascade-make/lib/cascade-lib.bash
 
-prefix=$GEXTVIDEO_INSTALLED/$GSDLOS
+prefix=$GEXTVIDEO_INSTALLED
 
 opt_run_untar $force_untar $auto_untar $package $version
Index: gs2-extensions/gsdl-video/trunk/build-srcpack/packages/CASCADE-MAKE/RUBY.sh
===================================================================
--- gs2-extensions/gsdl-video/trunk/build-srcpack/packages/CASCADE-MAKE/RUBY.sh	(revision 21170)
+++ gs2-extensions/gsdl-video/trunk/build-srcpack/packages/CASCADE-MAKE/RUBY.sh	(revision 21171)
@@ -9,5 +9,5 @@
 source ../../cascade-make/lib/cascade-lib.bash
 
-prefix=$GEXTVIDEO_INSTALLED/$GSDLOS
+prefix=$GEXTVIDEO_INSTALLED
 
 opt_run_untar $force_untar $auto_untar $package $version