Index: /gs2-extensions/gsdl-video/trunk/CASCADE-MAKE.bat
===================================================================
--- /gs2-extensions/gsdl-video/trunk/CASCADE-MAKE.bat	(revision 21172)
+++ /gs2-extensions/gsdl-video/trunk/CASCADE-MAKE.bat	(revision 21173)
@@ -11,12 +11,18 @@
 )
 
+if "x%$APACHE_HTTPD_HOME%" == "x" (
+  set APACHE_HTTPD_HOME=%GSDLHOME%\apache-httpd\windows
+)
+
 if not exist "%GSDLHOME%\apache-httpd" (
   REM ... and it also needs to have been configured with --enable-apache-httpd
   REM This is because the entension needs to add mod_flvx to the web server
 
-  echo Could not find the directory "%GSDLHOME%\apache-httpd"
-  echo Has the main Greenstone been configure for this? 
-  echo e.g. nmake /f win32.mak APACHE_HTTPD=1 [... other options]
-  exit ErrorExitNeg1
+  echo Warning: Could not find the directory "%GSDLHOME%\apache-httpd"
+  echo          Has the main Greenstone been configure for this? 
+  echo          e.g. nmake /f win32.mak APACHE_HTTPD=1 [... other options]
+  echo.
+  echo => Only the build-time code for the extension will be compiled
+  set APACHE_HTTPD_HOME=
 )
 
@@ -28,12 +34,16 @@
 
 
-for /D %%d IN ("%GSDLOS%") do (
-  if not exist "%GEXTVIDEO_INSTALLED%\%%d" (
-    echo Creating %GEXTVIDEO_INSTALLED%\%%d
-    mkdir "%GEXTVIDEO_INSTALLED%\%%d"
-  )
+echo "Test for directory in Windows might not be correct syntax!!"
+if not exist "%GEXTVIDEO_INSTALLED%" (
+  echo Creating %GEXTVIDEO_INSTALLED%
+  mkdir "%GEXTVIDEO_INSTALLED%"
 )
 
-set dirlist=build-srcpack runtime-srcpack
+set dirlist=build-srcpack
+
+if "x%APACHE_HTTPD_HOME%" != "x" (
+  set dirlist=%dirlist% runtime-srcpack
+)
+
 if exist "devel-srcpack" (
   set dirlist=%dirlist% devel-srcpack
Index: /gs2-extensions/gsdl-video/trunk/CASCADE-MAKE.sh
===================================================================
--- /gs2-extensions/gsdl-video/trunk/CASCADE-MAKE.sh	(revision 21172)
+++ /gs2-extensions/gsdl-video/trunk/CASCADE-MAKE.sh	(revision 21173)
@@ -9,12 +9,18 @@
 fi
 
-if [ ! -d "$GSDLHOME/apache-httpd" ] ; then
+if [ -z $APACHE_HTTPD_HOME ] ; then
+  export APACHE_HTTPD_HOME=$GSDLHOME/apache-httpd/$GSDLOS
+fi
+
+if [ ! -d "$APACHE_HTTPD_HOME" ] ; then
   # ... and it also needs to have been configured with --enable-apache-httpd
   # This is because the entension needs to add mod_flvx to the web server
 
-  echo "Could not find the directory \"$GSDLHOME/apache-httpd\""
-  echo "Has the main Greenstone been configure for this? "
-  echo "e.g. ./configure --enable-apache-httpd [... other options]"
-  exit -1
+  echo "Warning: Could not find the directory \"$APACHE_HTTPD_HOME\""
+  echo "         Has the main Greenstone been configure for this? "
+  echo "         e.g. ./configure --enable-apache-httpd [... other options]"
+  echo ""
+  echo "=> Only the build-time code for the extension will be compiled"
+  export APACHE_HTTPD_HOME=
 fi
 
@@ -25,12 +31,15 @@
 # Guaranteed that GSDLOS has now been set
 
-for d in $GSDLOS ; do
-  if [ ! -e $GEXTVIDEO_INSTALLED/$d ] ; then
-    echo "Creating $GEXTVIDEO_INSTALLED/$d"
-    mkdir $GEXTVIDEO_INSTALLED/$d
-  fi
-done
+if [ ! -e $GEXTVIDEO_INSTALLED ] ; then
+  echo "Creating $GEXTVIDEO_INSTALLED"
+  mkdir $GEXTVIDEO_INSTALLED
+fi
 
-dirlist="build-srcpack runtime-srcpack"
+dirlist="build-srcpack"
+
+if [ ! -z $APACHE_HTTPD_HOME ] ; then
+  dirlist="$dirlist runtime-srcpack"
+fi
+
 if [ -e devel-srcpack ] ; then
   dirlist="$dirlist devel-srcpack"
Index: /gs2-extensions/gsdl-video/trunk/setup.bash
===================================================================
--- /gs2-extensions/gsdl-video/trunk/setup.bash	(revision 21172)
+++ /gs2-extensions/gsdl-video/trunk/setup.bash	(revision 21173)
@@ -6,16 +6,22 @@
 if [ "x$GEXTVIDEO" = "x" ] ; then
   export GEXTVIDEO=`pwd`
-  export GEXTVIDEO_INSTALLED=$GEXTVIDEO/installed
+  export GEXTVIDEO_INSTALLED=$GEXTVIDEO/$GSDLOS
 
-  export PATH=$GEXTVIDEO_INSTALLED/$GSDLOS/bin:$PATH
+  export PATH=$GEXTVIDEO_INSTALLED/bin:$PATH
 
   if [ "x$LD_LIBRARY_PATH" = "x" ] ; then
-    export LD_LIBRARY_PATH=$GEXTVIDEO_INSTALLED/$GSDLOS/lib
+    export LD_LIBRARY_PATH=$GEXTVIDEO_INSTALLED/lib
   else
-    export LD_LIBRARY_PATH=$GEXTVIDEO_INSTALLED/$GSDLOS/lib:$LD_LIBRARY_PATH
+    export LD_LIBRARY_PATH=$GEXTVIDEO_INSTALLED/lib:$LD_LIBRARY_PATH
+  fi
+  if [ "x$DYLD_LIBRARY_PATH" = "x" ] ; then
+    export DYLD_LIBRARY_PATH=$GEXTVIDEO_INSTALLED/lib
+  else
+    export DYLD_LIBRARY_PATH=$GEXTVIDEO_INSTALLED/lib:$DYLD_LIBRARY_PATH
   fi
 
   if [ -e "devel-srcpack" ] ; then
-    export LD_LIBRARY_PATH=$GEXTVIDEO_INSTALLED/devel/$GSDLOS/lib:$LD_LIBRARY_PATH
+    export LD_LIBRARY_PATH=$GEXTVIDEO_INSTALLED/devel/lib:$LD_LIBRARY_PATH
+    export DYLD_LIBRARY_PATH=$GEXTVIDEO_INSTALLED/devel/lib:$DYLD_LIBRARY_PATH
   fi
 
Index: /gs2-extensions/gsdl-video/trunk/setup.bat
===================================================================
--- /gs2-extensions/gsdl-video/trunk/setup.bat	(revision 21172)
+++ /gs2-extensions/gsdl-video/trunk/setup.bat	(revision 21173)
@@ -15,7 +15,7 @@
 :WinNT
 set GEXTVIDEO=%CD%
-set GEXTVIDEO_INSTALLED=%GEXTVIDEO%\installed
+set GEXTVIDEO_INSTALLED=%GEXTVIDEO%\windows
 
-set PATH=%GEXTVIDEO_INSTALLED%\windows\bin;%PATH%
+set PATH=%GEXTVIDEO_INSTALLED%\bin;%PATH%
 set GS_CP_SET=yes
 goto Success
@@ -30,5 +30,5 @@
 :Win95Env
 set GEXTVIDEO=%CD%
-set PATH="%GEXTVIDEO_INSTALLED%\windows\bin";"%PATH%"
+set PATH="%GEXTVIDEO_INSTALLED%\bin";"%PATH%"
 set GS_CP_SET=yes
 goto Success