Index: gs3-extensions/pharos/trunk/cmdline-api-srcpack/bin/script/imageis-add-jpg-file.sh
===================================================================
--- gs3-extensions/pharos/trunk/cmdline-api-srcpack/bin/script/imageis-add-jpg-file.sh	(revision 20991)
+++ 	(revision )
@@ -1,40 +1,0 @@
-#!/bin/bash
-
-if [ $# != 2 ] ; then
-  echo "Usage: imageis-add-jpg-file.sh collection file.jpg"
-  exit
-fi
-
-col=$1
-srcfilename=$2
-
-if [ ! -f "$srcfilename" ] ; then
-  echo "Error: failed to find $srcfilename"
-  exit
-fi
-
-filetail=${srcfilename##*/}
-docid=${filetail%.*}
-
-# make sure file extension is lowercase .jpg
-
-dstfile=$docid.jpg
-if [ "x$col" != "x" ] ; then
-  dstfile="$col:$dstfile"
-fi
-dstfilename=/tmp/vsupload/$dstfile
-
-/bin/cp "$srcfilename" "$dstfilename"
-
-echo "Generating add_file.xml"
-cat "$IMAGEISHOME/templates/add_file.xml" \
-  | sed "s@\*\*imgfile\*\*@$dstfile@g" \
-  > "/tmp/vsupload/add_file.xml"
-
-echo "Ingesting $dstfile"
-
-java -jar "$IMAGEISHOME/ImageIS.jar" "/tmp/vsupload/add_file.xml"
-
-if [ $? == "0" ] ; then
-  /bin/rm "/tmp/vsupload/add_file.xml"
-fi
Index: gs3-extensions/pharos/trunk/cmdline-api-srcpack/bin/script/imageis-del-id.sh
===================================================================
--- gs3-extensions/pharos/trunk/cmdline-api-srcpack/bin/script/imageis-del-id.sh	(revision 20991)
+++ 	(revision )
@@ -1,28 +1,0 @@
-#!/bin/bash
-
-if [ $# != 2 ] ; then
-  echo "Usage: imageis-del-id.sh col id"
-  exit
-fi
-
-col=$1
-id=$2
-
-docid=$id
-if [ "x$col" != "x" ] ; then
-  docid="$col:$docid"
-fi
-
-
-echo "Generating del_id.xml"
-cat "$IMAGEISHOME/templates/del_id.xml" \
-  | sed "s@\*\*docid\*\*@$docid@g" \
-  > "/tmp/vsupload/del_id.xml"
-
-echo "Deleting $docid"
-
-java -jar "$IMAGEISHOME/ImageIS.jar" "/tmp/vsupload/del_id.xml"
-
-if [ $? == "0" ] ; then
-  /bin/rm "/tmp/vsupload/del_id.xml"
-fi
Index: gs3-extensions/pharos/trunk/cmdline-api-srcpack/bin/script/imageis-query-by-id.sh
===================================================================
--- gs3-extensions/pharos/trunk/cmdline-api-srcpack/bin/script/imageis-query-by-id.sh	(revision 20991)
+++ 	(revision )
@@ -1,42 +1,0 @@
-#!/bin/bash
-
-if [ $# != 2 ] ; then
-  echo "Usage: imageis-query-by-id.sh col id"
-  exit
-fi
-
-col=$1
-id=$2
-
-docid=$col:$id
-
-echo "Generating query_id.xml"
-cat "$IMAGEISHOME/templates/query_id.xml" \
-  | sed "s@\*\*docid\*\*@$docid@g" \
-  > "/tmp/vsupload/query_id.xml"
-
-echo "Querying by $docid"
-
-java -jar "$IMAGEISHOME/ImageIS.jar" "/tmp/vsupload/query_id.xml"
-
-if [ $? == "0" ] ; then
-  /bin/rm "/tmp/vsupload/query_id.xml"
-fi
-
-if [ ! -f image_cbs_result.xml ] ; then
-  echo ""
-  echo "Error: Failed to generate image_cbs_result.xml"
-  echo "       Check catalina.out for server-side error messages"
-  echo ""
-  exit 1
-elif [ ! -s image_cbs_result.xml ] ; then
-  echo ""
-  echo "Warning: Server returned zero sized file image_cbs_result.xml"
-  echo "         Check that the doc-id used is valid"
-  echo ""
-else
-  cat image_cbs_result.xml
-  echo ""
-  /bin/rm image_cbs_result.xml
-fi
-
Index: gs3-extensions/pharos/trunk/cmdline-api-srcpack/bin/script/pharos-imageis-add.sh
===================================================================
--- gs3-extensions/pharos/trunk/cmdline-api-srcpack/bin/script/pharos-imageis-add.sh	(revision 21197)
+++ gs3-extensions/pharos/trunk/cmdline-api-srcpack/bin/script/pharos-imageis-add.sh	(revision 21197)
@@ -0,0 +1,40 @@
+#!/bin/bash
+
+if [ $# != 2 ] ; then
+  echo "Usage: imageis-add-jpg-file.sh collection file.jpg"
+  exit
+fi
+
+col=$1
+srcfilename=$2
+
+if [ ! -f "$srcfilename" ] ; then
+  echo "Error: failed to find $srcfilename"
+  exit
+fi
+
+filetail=${srcfilename##*/}
+docid=${filetail%.*}
+
+# make sure file extension is lowercase .jpg
+
+dstfile=$docid.jpg
+if [ "x$col" != "x" ] ; then
+  dstfile="$col:$dstfile"
+fi
+dstfilename=/tmp/vsupload/$dstfile
+
+/bin/cp "$srcfilename" "$dstfilename"
+
+echo "Generating add_file.xml"
+cat "$IMAGEISHOME/templates/add_file.xml" \
+  | sed "s@\*\*imgfile\*\*@$dstfile@g" \
+  > "/tmp/vsupload/add_file.xml"
+
+echo "Ingesting $dstfile"
+
+java -jar "$IMAGEISHOME/ImageIS.jar" "/tmp/vsupload/add_file.xml"
+
+if [ $? == "0" ] ; then
+  /bin/rm "/tmp/vsupload/add_file.xml"
+fi
Index: gs3-extensions/pharos/trunk/cmdline-api-srcpack/bin/script/pharos-imageis-delete.sh
===================================================================
--- gs3-extensions/pharos/trunk/cmdline-api-srcpack/bin/script/pharos-imageis-delete.sh	(revision 21197)
+++ gs3-extensions/pharos/trunk/cmdline-api-srcpack/bin/script/pharos-imageis-delete.sh	(revision 21197)
@@ -0,0 +1,28 @@
+#!/bin/bash
+
+if [ $# != 2 ] ; then
+  echo "Usage: imageis-del-id.sh col id"
+  exit
+fi
+
+col=$1
+id=$2
+
+docid=$id
+if [ "x$col" != "x" ] ; then
+  docid="$col:$docid"
+fi
+
+
+echo "Generating del_id.xml"
+cat "$IMAGEISHOME/templates/del_id.xml" \
+  | sed "s@\*\*docid\*\*@$docid@g" \
+  > "/tmp/vsupload/del_id.xml"
+
+echo "Deleting $docid"
+
+java -jar "$IMAGEISHOME/ImageIS.jar" "/tmp/vsupload/del_id.xml"
+
+if [ $? == "0" ] ; then
+  /bin/rm "/tmp/vsupload/del_id.xml"
+fi
Index: gs3-extensions/pharos/trunk/cmdline-api-srcpack/bin/script/pharos-imageis-query.sh
===================================================================
--- gs3-extensions/pharos/trunk/cmdline-api-srcpack/bin/script/pharos-imageis-query.sh	(revision 21197)
+++ gs3-extensions/pharos/trunk/cmdline-api-srcpack/bin/script/pharos-imageis-query.sh	(revision 21197)
@@ -0,0 +1,42 @@
+#!/bin/bash
+
+if [ $# != 2 ] ; then
+  echo "Usage: imageis-query-by-id.sh col id"
+  exit
+fi
+
+col=$1
+id=$2
+
+docid=$col:$id
+
+echo "Generating query_id.xml"
+cat "$IMAGEISHOME/templates/query_id.xml" \
+  | sed "s@\*\*docid\*\*@$docid@g" \
+  > "/tmp/vsupload/query_id.xml"
+
+echo "Querying by $docid"
+
+java -jar "$IMAGEISHOME/ImageIS.jar" "/tmp/vsupload/query_id.xml"
+
+if [ $? == "0" ] ; then
+  /bin/rm "/tmp/vsupload/query_id.xml"
+fi
+
+if [ ! -f image_cbs_result.xml ] ; then
+  echo ""
+  echo "Error: Failed to generate image_cbs_result.xml"
+  echo "       Check catalina.out for server-side error messages"
+  echo ""
+  exit 1
+elif [ ! -s image_cbs_result.xml ] ; then
+  echo ""
+  echo "Warning: Server returned zero sized file image_cbs_result.xml"
+  echo "         Check that the doc-id used is valid"
+  echo ""
+else
+  cat image_cbs_result.xml
+  echo ""
+  /bin/rm image_cbs_result.xml
+fi
+