Index: /main/trunk/release-kits/cdrk2/ant-scripts/build.xml
===================================================================
--- /main/trunk/release-kits/cdrk2/ant-scripts/build.xml	(revision 21201)
+++ /main/trunk/release-kits/cdrk2/ant-scripts/build.xml	(revision 21202)
@@ -74,7 +74,7 @@
 		<svn>
 			<checkout url="${svn.root}/documentation/${branch.path}/tutorials" destPath="documentation/tutorials"/>
-			<checkout url="${svn.root}/gli/${branch.path}" destPath="documentation/gli"/>
-			<checkout url="${svn.root}/gsdl/${branch.path}/perllib" destPath="documentation/perllib"/>
-			<checkout url="${svn.root}/gsdl/${branch.path}/macros" destPath="documentation/macros"/>
+			<checkout url="${svn.root}/main/${branch.path}/gli" destPath="documentation/gli"/>
+			<checkout url="${svn.root}/main/${branch.path}/greenstone2/perllib" destPath="documentation/perllib"/>
+			<checkout url="${svn.root}/main/${branch.path}/greenstone2/macros" destPath="documentation/macros"/>
 			<checkout url="${svn.root}/documentation/${branch.path}/tutorial_sample_files" destPath="documentation/tutorial_sample_files"/>
 		</svn>
@@ -116,5 +116,5 @@
 			<checkout url="${svn.root}/documentation/${branch.path}/manuals" destPath="documentation/manuals"/>
 			<checkout url="${svn.root}/documentation/${branch.path}/shared" destPath="documentation/shared"/>
-			<checkout url="${svn.root}/gli/${branch.path}" destPath="documentation/gli"/>
+			<checkout url="${svn.root}/main/${branch.path}/gli" destPath="documentation/gli"/>
 		</svn>
 		<unzip src="documentation/shared/fop.zip" dest="documentation/shared"/>
Index: /main/trunk/release-kits/derk/ant-scripts/build.xml
===================================================================
--- /main/trunk/release-kits/derk/ant-scripts/build.xml	(revision 21201)
+++ /main/trunk/release-kits/derk/ant-scripts/build.xml	(revision 21202)
@@ -43,5 +43,5 @@
 		<if><bool><not><available file="dec"/></not></bool>
 			<svn>
-				<export srcurl="${svn.root}/collections/documented-examples/${branch.path}" destPath="documented-examples"/>
+				<export srcurl="${svn.root}/documented-examples/${branch.path}" destPath="documented-examples"/>
 			</svn>
 		</if>
@@ -56,5 +56,5 @@
 			<bool><not><available file="gs2build"/></not></bool>
 			<svn>
-				<export srcurl="${svn.root}/gs2build" destPath="gs2build"/>
+				<export srcurl="${svn.root}/main/${branch.path}/gs2build" destPath="gs2build"/>
 			</svn>
 		</if>
Index: /main/trunk/release-kits/lirk2/ant-scripts/create-distribution.xml
===================================================================
--- /main/trunk/release-kits/lirk2/ant-scripts/create-distribution.xml	(revision 21201)
+++ /main/trunk/release-kits/lirk2/ant-scripts/create-distribution.xml	(revision 21202)
@@ -42,5 +42,5 @@
 		<delete dir="distributions/web/bin/linux/imagemagick"/>
 		<svn>
-			<export srcurl="${svn.root}/other-projects/trunk/linux-binaries/imagemagick" destPath="distributions/web/bin/linux/imagemagick"/>
+			<export srcurl="${svn.root}/main/${branch.path}/binaries/linux/imagemagick" destPath="distributions/web/bin/linux/imagemagick"/>
 		</svn>
 	</target>
@@ -49,5 +49,5 @@
 		<delete dir="distributions/web/bin/linux/wv"/>
 		<svn>
-			<export srcurl="${svn.root}/other-projects/trunk/linux-binaries/wv" destPath="distributions/web/bin/linux/wv"/>
+			<export srcurl="${svn.root}/main/${branch.path}/binaries/linux/wv" destPath="distributions/web/bin/linux/wv"/>
 		</svn>
 	</target>
Index: /main/trunk/release-kits/mark2/ant-scripts/create-distribution.xml
===================================================================
--- /main/trunk/release-kits/mark2/ant-scripts/create-distribution.xml	(revision 21201)
+++ /main/trunk/release-kits/mark2/ant-scripts/create-distribution.xml	(revision 21202)
@@ -22,5 +22,5 @@
 		<exec executable="svn">
 			<arg value="export"/>
-			<arg value="${svn.root}/other-projects/trunk/mac-binaries/intel/imagemagick"/>
+			<arg value="${svn.root}/main/${branch.path}/binaries/mac/intel/imagemagick"/>
 			<arg value="distributions/web/bin/darwin/imagemagick"/>
 		</exec>
@@ -31,5 +31,5 @@
 		<exec executable="svn">
 			<arg value="export"/>
-			<arg value="${svn.root}/other-projects/trunk/mac-binaries/intel/ghostscript"/>
+			<arg value="${svn.root}/main/${branch.path}/binaries/mac/intel/ghostscript"/>
 			<arg value="distributions/web/bin/darwin/ghostscript"/>
 		</exec>
Index: /main/trunk/release-kits/rk2/ant-scripts/compile.xml
===================================================================
--- /main/trunk/release-kits/rk2/ant-scripts/compile.xml	(revision 21201)
+++ /main/trunk/release-kits/rk2/ant-scripts/compile.xml	(revision 21202)
@@ -189,5 +189,5 @@
 		<if>
 			<bool><not><available file="${basedir}/compiled/bin/windows"/></not></bool>
-			<svn><export srcUrl="${svn.root}/other-projects/trunk/winbin/bin" destPath="${basedir}/compiled/bin/windows" revision="${branch.revision}"/></svn>
+			<svn><export srcUrl="${svn.root}/main/${branch.path}/binaries/windows/bin" destPath="${basedir}/compiled/bin/windows" revision="${branch.revision}"/></svn>
 		</if>
 	</target>
Index: /main/trunk/release-kits/rk3/ant-scripts/create-distribution.xml
===================================================================
--- /main/trunk/release-kits/rk3/ant-scripts/create-distribution.xml	(revision 21201)
+++ /main/trunk/release-kits/rk3/ant-scripts/create-distribution.xml	(revision 21202)
@@ -28,5 +28,5 @@
 		<delete dir="distributions/web/bin/linux/imagemagick"/>
 		<svn>
-			<export srcurl="${svn.root}/other-projects/trunk/linux-binaries/imagemagick" destPath="distributions/web/gs2build/bin/linux/imagemagick"/>
+			<export srcurl="${svn.root}/main/${branch.path}/binaries/linux/imagemagick" destPath="distributions/web/gs2build/bin/linux/imagemagick"/>
 		</svn>
 	</target>
@@ -35,5 +35,5 @@
 		<delete dir="distributions/web/bin/linux/wv"/>
 		<svn>
-			<export srcurl="${svn.root}/other-projects/trunk/linux-binaries/wv" destPath="distributions/web/gs2build/bin/linux/wv"/>
+			<export srcurl="${svn.root}/main/${branch.path}/binaries/linux/wv" destPath="distributions/web/gs2build/bin/linux/wv"/>
 		</svn>
 	</target>
@@ -42,5 +42,5 @@
 		<delete dir="distributions/web/bin/darwin/imagemagick"/>
 		<svn>
-			<export srcurl="${svn.root}/other-projects/trunk/mac-binaries/intel/imagemagick" destPath="distributions/web/gs2build/bin/darwin/imagemagick"/>
+			<export srcurl="${svn.root}/main/${branch.path}/binaries/mac/intel/imagemagick" destPath="distributions/web/gs2build/bin/darwin/imagemagick"/>
 		</svn>
 	</target>
@@ -49,5 +49,5 @@
 		<delete dir="distributions/web/bin/darwin/ghostscript"/>
 		<svn>
-			<export srcurl="${svn.root}/other-projects/trunk/mac-binaries/intel/ghostscript" destPath="distributions/web/gs2build/bin/darwin/ghostscript"/>
+			<export srcurl="${svn.root}/main/${branch.path}/binaries/mac/intel/ghostscript" destPath="distributions/web/gs2build/bin/darwin/ghostscript"/>
 		</svn>
 	</target>
Index: /main/trunk/release-kits/shared/greenstone2/ant-scripts/rk2-targets.xml
===================================================================
--- /main/trunk/release-kits/shared/greenstone2/ant-scripts/rk2-targets.xml	(revision 21201)
+++ /main/trunk/release-kits/shared/greenstone2/ant-scripts/rk2-targets.xml	(revision 21202)
@@ -21,10 +21,10 @@
 		<exec excutable="svn">
 			<arg value="export"/>
-			<arg value="${svn.root}/gsdl/${branch.path}"/>
+			<arg value="${svn.root}/main/${branch.path}/greenstone2"/>
 			<arg value="${dest}"/>
 		</exec>
 		<exec executable="svn">
 			<arg value="export"/>
-			<arg value="${svn.root}/gli/${branch.path}"/>
+			<arg value="${svn.root}/main/${branch.path}/gli"/>
 			<arg value="${dest}/gli"/>
 		</exec>
@@ -41,6 +41,6 @@
 		<mkdir dir="${gsdl.basedir}/bin/windows"/>
 		<get src="${server.exe.location}" dest="${gsdl.basedir}/bin/windows/server.exe"/>
-		<get src="http://svn.greenstone.org/other-projects/trunk/winbin/bin/Setup.exe" dest="${gsdl.basedir}/bin/windows/Setup.exe"/>
-		<get src="http://svn.greenstone.org/other-projects/trunk/winbin/bin/gssetup.exe" dest="${gsdl.basedir}/bin/windows/gssetup.exe"/>
+		<get src="${svn.root}/main/${branch.path}/binaries/windows/bin/Setup.exe" dest="${gsdl.basedir}/bin/windows/Setup.exe"/>
+		<get src="${svn.root}/main/${branch.path}/binaries/windows/bin/gssetup.exe" dest="${gsdl.basedir}/bin/windows/gssetup.exe"/>
 	</target>
 
@@ -115,13 +115,12 @@
 
 	<target name="checkout-gsdl-gli">
-		<echo>${svn.root}/gsdl/${branch.path}</echo>
 		<exec executable="svn">
 			<arg value="checkout"/>
-			<arg value="${svn.root}/gsdl/${branch.path}"/>
+			<arg value="${svn.root}/main/${branch.path}/greenstone2"/>
 			<arg value="${basedir}/compiled"/>
 		</exec>
                 <exec executable="svn">
 			<arg value="checkout"/>
-			<arg value="${svn.root}/gli/${branch.path}"/>
+			<arg value="${svn.root}/main/${branch.path}/gli"/>
 			<arg value="${basedir}/compiled/gli"/>
 		</exec>
Index: /main/trunk/release-kits/shared/greenstone3/ant-scripts/rk3-targets.xml
===================================================================
--- /main/trunk/release-kits/shared/greenstone3/ant-scripts/rk3-targets.xml	(revision 21201)
+++ /main/trunk/release-kits/shared/greenstone3/ant-scripts/rk3-targets.xml	(revision 21202)
@@ -97,6 +97,5 @@
 	<target name="checkout-greenstone3">
 		<svn>
-			<checkout url="${svn.root}/greenstone3/${branch.path}" destPath="compiled" revision="${branch.revision}"/>
-		<!--	<checkout url="${svn.root}/gli/${branch.path}" destPath="compiled/gli" revision="${branch.revision}"/> -->
+			<checkout url="${svn.root}/main/${branch.path}/greenstone3" destPath="compiled" revision="${branch.revision}"/>
 		</svn>
 	</target>
@@ -104,5 +103,5 @@
 	<target name="export-greenstone3">
 		<svn>
-			<export srcUrl="${svn.root}/greenstone3/${branch.path}" destPath="${dest}" revision="${branch.revision}"/>
+			<export srcUrl="${svn.root}/main/${branch.path}/greenstone3" destPath="${dest}" revision="${branch.revision}"/>
 		</svn>
 	</target>
Index: /main/trunk/release-kits/sork2/ant-scripts/build.xml
===================================================================
--- /main/trunk/release-kits/sork2/ant-scripts/build.xml	(revision 21201)
+++ /main/trunk/release-kits/sork2/ant-scripts/build.xml	(revision 21202)
@@ -54,5 +54,5 @@
 		<delete dir="distributions/Greenstone-${version}-source-distribution/bin/windows"/>
 		<svn>
-			<export srcurl="${svn.root}/other-projects/trunk/winbin/bin" destPath="distributions/Greenstone-${version}-source-distribution/bin/windows"/>
+			<export srcurl="${svn.root}/main/${branch.path}/binaries/windows/bin" destPath="distributions/Greenstone-${version}-source-distribution/bin/windows"/>
 		</svn>
 		<get src="${server.exe.location}" dest="distributions/Greenstone-${version}-source-distribution/bin/windows/server.exe"/>
Index: /main/trunk/release-kits/sork3/ant-scripts/build.xml
===================================================================
--- /main/trunk/release-kits/sork3/ant-scripts/build.xml	(revision 21201)
+++ /main/trunk/release-kits/sork3/ant-scripts/build.xml	(revision 21202)
@@ -74,5 +74,5 @@
 		<delete dir="distributions/${dist.dirname}/gs2build/bin/windows"/>
 		<svn>
-			<export srcurl="${svn.root}/other-projects/trunk/winbin/bin" destPath="distributions/${dist.dirname}/gs2build/bin/windows"/>
+			<export srcurl="${svn.root}/main/${branch.path}/binaries/windows/bin" destPath="distributions/${dist.dirname}/gs2build/bin/windows"/>
 		</svn>
 		<delete dir="distributions/${dist.dirname}/gs2build/bin/windows/imagemagick"/>
Index: /main/trunk/release-kits/wirk2/ant-scripts/compile.xml
===================================================================
--- /main/trunk/release-kits/wirk2/ant-scripts/compile.xml	(revision 21201)
+++ /main/trunk/release-kits/wirk2/ant-scripts/compile.xml	(revision 21202)
@@ -37,5 +37,5 @@
 		<if>
 			<bool><not><available file="${basedir}/compiled/bin/windows"/></not></bool>
-			<svn><export srcUrl="${svn.root}/other-projects/trunk/winbin/bin" destPath="${basedir}/compiled/bin/windows" revision="${branch.revision}"/></svn>
+			<svn><export srcUrl="${svn.root}/main/${branch.path}/binaries/windows/bin" destPath="${basedir}/compiled/bin/windows" revision="${branch.revision}"/></svn>
 		</if>
 	</target>