Index: main/trunk/release-kits/wirk2/ant-scripts/compile.xml
===================================================================
--- main/trunk/release-kits/wirk2/ant-scripts/compile.xml	(revision 21204)
+++ main/trunk/release-kits/wirk2/ant-scripts/compile.xml	(revision 21206)
@@ -11,4 +11,6 @@
 		<antcall target="get-winbin" />
 		<antcall target="insert-windows-perl"><param name="todir" value="compiled/bin/windows"/></antcall>
+		<antcall target="insert-windows-vc-dlls"><param name="todir" value="compiled/apache-httpd/windows/bin"/></antcall>
+
 		<antcall target="compile-c-code" />
 
@@ -31,4 +33,6 @@
 		<unzip src="${basedir}/compiled/common-src/packages/windows/stlport/stlport.zip" dest="${basedir}/compiled/common-src/packages/windows/stlport"/>
 		<unzip src="${basedir}/compiled/common-src/indexers/packages/windows/iconv/iconv.zip" dest="${basedir}/compiled/common-src/indexers/packages/windows/iconv"/>
+		<untar src="${basedir}/compiled/runtime-src/packages/apache-httpd/httpd-2.2.11-gs.tar.gz" dest="${basedir}/compiled/runtime-src/packages/apache-httpd" compression="gzip"/>
+		<!--<untar src="${basedir}/compiled/runtime-src/packages/apache-httpd/libiconv-1.13.1.tar.gz" dest="${basedir}/compiled/runtime-src/packages/apache-httpd" compression="gzip"/>-->
 		<untar src="${basedir}/compiled/common-src/packages/sqlite/sqlite-amalgamation-3.5.9.tar.gz" dest="${basedir}/compiled/common-src/packages/sqlite" compression="gzip"/>
 	</target>
@@ -43,5 +47,7 @@
 	<target name="compile-c-code">
 		<copy file="${wirk2.home}/resources/compile.bat" todir="${basedir}/compiled" overwrite="true"/>
-		<exec dir="${basedir}/compiled" executable="${basedir}/compiled/compile.bat" />
+		<exec dir="${basedir}/compiled" executable="nmake"><arg value="/f"/><arg value="win32.mak"/><arg value="clean"/></exec>
+		<exec dir="${basedir}/compiled" executable="nmake"><arg value="/f"/><arg value="win32.mak"/><arg value="APACHE_HTTPD=1"/></exec>
+		<exec dir="${basedir}/compiled" executable="nmake"><arg value="/f"/><arg value="win32.mak"/><arg value="LOCAL_LIBRARY=1"/></exec>
 		<mkdir dir="products"/>
 		<copy file="${basedir}/compiled/server.exe" tofile="${basedir}/products/server-${version}.exe"/>
@@ -70,3 +76,9 @@
 	</target>
 	
+	<target name="insert-windows-vc-dlls">
+		<property environment="env"/>
+		<copy todir="compiled/apache-httpd/windows/bin"><fileset dir="${env.VCINSTALLDIR}/redist/x86/Microsoft.VC80.CRT"/></copy>
+		<copy todir="compiled/apache-httpd/windows/modules"><fileset dir="${env.VCINSTALLDIR}/redist/x86/Microsoft.VC80.CRT"/></copy>
+	</target>
+	
 </project>
Index: main/trunk/release-kits/wirk2/ant-scripts/wrap.xml
===================================================================
--- main/trunk/release-kits/wirk2/ant-scripts/wrap.xml	(revision 21204)
+++ main/trunk/release-kits/wirk2/ant-scripts/wrap.xml	(revision 21206)
@@ -26,5 +26,5 @@
 			<job pattern="@java.min.version@" replacement="${java.min.version}"/>
 			<job pattern="@bundled.version.java@" replacement="${bundled.version.windows-java}"/>
-			<job pattern="@java.extracted@" replacement="${windows-java.extracted}"/>
+			<job pattern="@java.extracted@" replacement="${java.extracted}"/>
 		</rsr>
 	</target>
@@ -50,5 +50,5 @@
 			<echo>adding greenstone2.jar to the resource script as chunks</echo>
 			<rsplit
-				resource="${basedir}/installer/Greenstone-${version}-win32.jar"
+				resource="${basedir}/installer/Greenstone-${version}-${os.suffix}.jar"
 				outputDir="${basedir}/wrapped-installer"
 				resourceScript="${basedir}/wrapped-installer/wrapper.rc"
@@ -78,5 +78,5 @@
 		<mkdir dir="products"/>
 		<exec executable="link" dir="${basedir}/wrapped-installer">
-			<arg line="/OUT:..\products\Greenstone-${version}-win32.exe gdi32.lib advapi32.lib shell32.lib user32.lib libsearch4j.obj wrapper.obj wrapper.res"/>
+			<arg line="/OUT:..\products\Greenstone-${version}-${os.suffix}.exe gdi32.lib advapi32.lib shell32.lib user32.lib libsearch4j.obj wrapper.obj wrapper.res"/>
 		</exec>
 	</target>
Index: main/trunk/release-kits/wirk2/resources/compile.bat
===================================================================
--- main/trunk/release-kits/wirk2/resources/compile.bat	(revision 21204)
+++ main/trunk/release-kits/wirk2/resources/compile.bat	(revision 21206)
@@ -1,4 +1,4 @@
-call "C:\Program Files\Microsoft Visual Studio\VC98\Bin\VCVARS32.BAT"
+::call "C:\Program Files\Microsoft Visual Studio\VC98\Bin\VCVARS32.BAT"
 nmake /f win32.mak clean
-nmake /f win32.mak
+nmake /f win32.mak APACHE_HTTPD=1
 nmake /f win32.mak LOCAL_LIBRARY=1