Index: gs3-extensions/pharos/trunk/bin/script/pharos-imageis-add.pl
===================================================================
--- gs3-extensions/pharos/trunk/bin/script/pharos-imageis-add.pl	(revision 21254)
+++ gs3-extensions/pharos/trunk/bin/script/pharos-imageis-add.pl	(revision 21255)
@@ -93,5 +93,5 @@
     
     my $add_template_filename
-	= &util::filename_cat($ENV{'PHAROSIS_HOME'},"etc", "templates","add_file.xml");
+	= &util::filename_cat($ENV{'PHAROSIS_HOME'},"resources", "templates","add_file.xml");
     my $add_this_filename = &util::filename_cat($tmp_dir,"add_file.xml");
     
Index: gs3-extensions/pharos/trunk/bin/script/pharos-imageis-delete.pl
===================================================================
--- gs3-extensions/pharos/trunk/bin/script/pharos-imageis-delete.pl	(revision 21254)
+++ gs3-extensions/pharos/trunk/bin/script/pharos-imageis-delete.pl	(revision 21255)
@@ -66,5 +66,5 @@
     
     my $del_template_filename
-	= &util::filename_cat($ENV{'PHAROSIS_HOME'},"etc", "templates","del_id.xml");
+	= &util::filename_cat($ENV{'PHAROSIS_HOME'},"resources", "templates","del_id.xml");
     my $del_this_filename = &util::filename_cat($tmp_dir,"del_id.xml");
     
Index: gs3-extensions/pharos/trunk/bin/script/pharos-imageis-query.pl
===================================================================
--- gs3-extensions/pharos/trunk/bin/script/pharos-imageis-query.pl	(revision 21254)
+++ gs3-extensions/pharos/trunk/bin/script/pharos-imageis-query.pl	(revision 21255)
@@ -65,5 +65,5 @@
     
     my $query_template_filename
-	= &util::filename_cat($ENV{'PHAROSIS_HOME'},"templates","query_id.xml");
+	= &util::filename_cat($ENV{'PHAROSIS_HOME'},"resources","templates","query_id.xml");
     my $query_this_filename = &util::filename_cat($tmp_dir,"query_id.xml");
     
Index: gs3-extensions/pharos/trunk/resources/templates/add_dir.xml
===================================================================
--- gs3-extensions/pharos/trunk/resources/templates/add_dir.xml	(revision 21255)
+++ gs3-extensions/pharos/trunk/resources/templates/add_dir.xml	(revision 21255)
@@ -0,0 +1,19 @@
+
+<Mpeg7 xsi:schemaLocation="urn:mpeg:mpeg7:schema:2001 ./davp-2005.xsd" xmlns="urn:mpeg:mpeg7:schema:2001" xmlns:mpeg7="urn:mpeg:mpeg7:schema:2001" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
+    <Description xsi:type="ContentEntityType">
+        <MultimediaContent xsi:type="AudioVisualType">
+            <AudioVisual>
+                <StructuralUnit href="urn:x-mpeg-7-pharos:cs:AudioVisualSegmentationCS:root"/>
+          
+                <MediaSourceDecomposition criteria="kmi image annotation segment to add">
+                    <StillRegion>
+                        <MediaLocator>
+                        <!-- URL of location of the image on the disk eg file://some/path/mycollection:myvideo:mykeyframe.jpg -->
+                            <MediaUri>file:///tmp/vsupload/**imgdir**</MediaUri>
+                        </MediaLocator>
+                    </StillRegion>
+                </MediaSourceDecomposition>
+            </AudioVisual>
+        </MultimediaContent>
+    </Description>
+</Mpeg7>
Index: gs3-extensions/pharos/trunk/resources/templates/add_file.xml
===================================================================
--- gs3-extensions/pharos/trunk/resources/templates/add_file.xml	(revision 21255)
+++ gs3-extensions/pharos/trunk/resources/templates/add_file.xml	(revision 21255)
@@ -0,0 +1,19 @@
+
+<Mpeg7 xsi:schemaLocation="urn:mpeg:mpeg7:schema:2001 ./davp-2005.xsd" xmlns="urn:mpeg:mpeg7:schema:2001" xmlns:mpeg7="urn:mpeg:mpeg7:schema:2001" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
+    <Description xsi:type="ContentEntityType">
+        <MultimediaContent xsi:type="AudioVisualType">
+            <AudioVisual>
+                <StructuralUnit href="urn:x-mpeg-7-pharos:cs:AudioVisualSegmentationCS:root"/>
+          
+                <MediaSourceDecomposition criteria="kmi image annotation segment to add">
+                    <StillRegion>
+                        <MediaLocator>
+                        <!-- URL of location of the image on the disk eg file://some/path/mycollection:myvideo:mykeyframe.jpg -->
+                            <MediaUri>file://**imgfile**</MediaUri>
+                        </MediaLocator>
+                    </StillRegion>
+                </MediaSourceDecomposition>
+            </AudioVisual>
+        </MultimediaContent>
+    </Description>
+</Mpeg7>
Index: gs3-extensions/pharos/trunk/resources/templates/del_id.xml
===================================================================
--- gs3-extensions/pharos/trunk/resources/templates/del_id.xml	(revision 21255)
+++ gs3-extensions/pharos/trunk/resources/templates/del_id.xml	(revision 21255)
@@ -0,0 +1,25 @@
+
+
+<Mpeg7 xsi:schemaLocation="urn:mpeg:mpeg7:schema:2001 ./davp-2005.xsd" xmlns="urn:mpeg:mpeg7:schema:2001" xmlns:mpeg7="urn:mpeg:mpeg7:schema:2001" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
+    <Description xsi:type="ContentEntityType">
+        <MultimediaContent xsi:type="AudioVisualType">
+            <AudioVisual>
+                <StructuralUnit href="urn:x-mpeg-7-pharos:cs:AudioVisualSegmentationCS:root"/>
+          
+                <MediaSourceDecomposition criteria="kmi image annotation segment to remove">
+                    <StillRegion>
+                        <MediaLocator>
+                            <!--<MediaUri>collection:video:keyframe1.jpg</MediaUri>-->
+                            <!-- or to remove the whole video -->
+                            <!--   <MediaUri>collection:video:*</MediaUri>-->
+                            <!-- or to remove the whole collection -->
+                            <!--   <MediaUri>collection:*</MediaUri>-->
+
+                            <MediaUri>**docid**</MediaUri>
+                        </MediaLocator>
+                    </StillRegion>
+                </MediaSourceDecomposition>
+            </AudioVisual>
+        </MultimediaContent>
+    </Description>
+</Mpeg7>
Index: gs3-extensions/pharos/trunk/resources/templates/query_id.xml
===================================================================
--- gs3-extensions/pharos/trunk/resources/templates/query_id.xml	(revision 21255)
+++ gs3-extensions/pharos/trunk/resources/templates/query_id.xml	(revision 21255)
@@ -0,0 +1,55 @@
+
+<MpegQuery mpqfID="TestId0012-36" xmlns="urn:mpeg:mpqf:schema:2008" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:mpeg7="urn:mpeg:mpeg7:schema:2004" xsi:schemaLocation="urn:mpeg:mpqf:schema:2008 mpqfv08.xsd urn:mpeg:mpeg7:schema:2004 M7v2schema.xsd">
+    <Query>
+        <Input>
+            
+            <!-- This is used to format the output /  Result set -->
+            <OutputDescription maxItemCount="10"  freeTextUse="true" mediaResourceUse="true" outputNameSpace="urn:mpeg:mpqf:schema:2008">
+            </OutputDescription>
+            <QueryCondition>
+                <TargetMediaType>video/jpeg</TargetMediaType>
+
+                <Condition xsi:type="AND">
+
+                <!-- Image Searches -->
+
+                    <Condition xsi:type="QueryByMedia" matchType="similar" thresholdValue="0.8" preferenceValue="1">
+                        <MediaResource resourceID="id001">
+                            <MediaResource>
+                                <MediaUri>**docid**</MediaUri>
+                            </MediaResource>
+                        </MediaResource>
+                    </Condition>
+
+                    <!--START Image search query by media id -->
+            <!--        <Condition xsi:type="QueryByMedia" matchType="similar" preferenceValue="1">
+                        <MediaResource resourceID="id001">
+                            <MediaResource>
+                                <MediaUri>19734.jpg</MediaUri>
+                            </MediaResource>
+                        </MediaResource>
+                    </Condition>
+                    <Condition xsi:type="QueryByMedia" matchType="similar" preferenceValue="1">
+                        <MediaResource resourceID="id002">
+                            <MediaResource>
+                                <MediaUri>collection:video02:keyframe0123</MediaUri>
+                            </MediaResource>
+                        </MediaResource>
+                    </Condition>
+                    <Condition xsi:type="QueryByMedia" matchType="similar" preferenceValue="1">
+                        <MediaResource resourceID="id003">
+                            <MediaResource>
+                                <MediaUri>collection:video04:keyframe03</MediaUri>
+                            </MediaResource>
+                        </MediaResource>
+                    </Condition>-->
+                      <!--END Image search query by media id -->
+                </Condition>
+            </QueryCondition>
+            <ServiceSelection>
+                <ServiceID>image-search-mediaid</ServiceID>
+ 
+            </ServiceSelection>
+        </Input>
+    </Query>
+</MpegQuery>