Index: gs3-extensions/pharos/trunk/bin/script/pharos-imageis-add.pl
===================================================================
--- gs3-extensions/pharos/trunk/bin/script/pharos-imageis-add.pl	(revision 21258)
+++ gs3-extensions/pharos/trunk/bin/script/pharos-imageis-add.pl	(revision 21259)
@@ -29,5 +29,5 @@
     die "GSDLHOME not set\n" unless defined $ENV{'GSDLHOME'};
     die "GSDLOS not set\n" unless defined $ENV{'GSDLOS'};
-    die "PHAROSIS_HOME not set\n" unless defined $ENV{'PHAROSIS_HOME'};
+    die "PHAROSIS_SRC_HOME not set\n" unless defined $ENV{'PHAROSIS_SRC_HOME'};
     unshift (@INC, "$ENV{'GSDLHOME'}/perllib");
 }
@@ -93,5 +93,5 @@
     
     my $add_template_filename
-	= &util::filename_cat($ENV{'PHAROSIS_HOME'},"resources", "templates","add_file.xml");
+	= &util::filename_cat($ENV{'PHAROSIS_SRC_HOME'},"resources", "templates","add_file.xml");
     my $add_this_filename = &util::filename_cat($tmp_dir,"add_file.xml");
     
@@ -124,5 +124,5 @@
     
     
-    my $jar_filename = &util::filename_cat($ENV{'PHAROSIS_HOME'},"ImageIS.jar");
+    my $jar_filename = &util::filename_cat($ENV{'PHAROSIS_SRC_HOME'},"ImageIS.jar");
     my $java_cmd = "java -jar \"$jar_filename\" \"$add_this_filename\"";
     #my $java_cmd = "java -cp /research/kjdon/home/pharos-greenstone3/ext/pharos/decompiled:/research/kjdon/home/pharos-greenstone3/ext/pharos/cmdline-api-srcpack/ImageIS.jar:/research/kjdon/home/pharos-greenstone3/ext/pharos MyImageIS $add_this_filename";
Index: gs3-extensions/pharos/trunk/bin/script/pharos-imageis-delete.pl
===================================================================
--- gs3-extensions/pharos/trunk/bin/script/pharos-imageis-delete.pl	(revision 21258)
+++ gs3-extensions/pharos/trunk/bin/script/pharos-imageis-delete.pl	(revision 21259)
@@ -29,5 +29,5 @@
     die "GSDLHOME not set\n" unless defined $ENV{'GSDLHOME'};
     die "GSDLOS not set\n" unless defined $ENV{'GSDLOS'};
-    die "PHAROSIS_HOME not set\n" unless defined $ENV{'PHAROSIS_HOME'};
+    die "PHAROSIS_SRC_HOME not set\n" unless defined $ENV{'PHAROSIS_SRC_HOME'};
     unshift (@INC, "$ENV{'GSDLHOME'}/perllib");
 }
@@ -66,5 +66,5 @@
     
     my $del_template_filename
-	= &util::filename_cat($ENV{'PHAROSIS_HOME'},"resources", "templates","del_id.xml");
+	= &util::filename_cat($ENV{'PHAROSIS_SRC_HOME'},"resources", "templates","del_id.xml");
     my $del_this_filename = &util::filename_cat($tmp_dir,"del_id.xml");
     
@@ -97,5 +97,5 @@
     
     
-    my $jar_filename = &util::filename_cat($ENV{'PHAROSIS_HOME'},"ImageIS.jar");
+    my $jar_filename = &util::filename_cat($ENV{'PHAROSIS_SRC_HOME'},"ImageIS.jar");
     my $java_cmd = "java -jar \"$jar_filename\" \"$del_this_filename\"";
 
Index: gs3-extensions/pharos/trunk/bin/script/pharos-imageis-identify.pl
===================================================================
--- gs3-extensions/pharos/trunk/bin/script/pharos-imageis-identify.pl	(revision 21258)
+++ gs3-extensions/pharos/trunk/bin/script/pharos-imageis-identify.pl	(revision 21259)
@@ -29,5 +29,5 @@
     die "GSDLHOME not set\n" unless defined $ENV{'GSDLHOME'};
     die "GSDLOS not set\n" unless defined $ENV{'GSDLOS'};
-    die "PHAROSIS_HOME not set\n" unless defined $ENV{'PHAROSIS_HOME'};
+    die "PHAROSIS_SRC_HOME not set\n" unless defined $ENV{'PHAROSIS_SRC_HOME'};
     unshift (@INC, "$ENV{'GSDLHOME'}/perllib");
 }
Index: gs3-extensions/pharos/trunk/bin/script/pharos-imageis-query.pl
===================================================================
--- gs3-extensions/pharos/trunk/bin/script/pharos-imageis-query.pl	(revision 21258)
+++ gs3-extensions/pharos/trunk/bin/script/pharos-imageis-query.pl	(revision 21259)
@@ -29,5 +29,5 @@
     die "GSDLHOME not set\n" unless defined $ENV{'GSDLHOME'};
     die "GSDLOS not set\n" unless defined $ENV{'GSDLOS'};
-    die "PHAROSIS_HOME not set\n" unless defined $ENV{'PHAROSIS_HOME'};
+    die "PHAROSIS_SRC_HOME not set\n" unless defined $ENV{'PHAROSIS_SRC_HOME'};
     unshift (@INC, "$ENV{'GSDLHOME'}/perllib");
 }
@@ -65,5 +65,5 @@
     
     my $query_template_filename
-	= &util::filename_cat($ENV{'PHAROSIS_HOME'},"resources","templates","query_id.xml");
+	= &util::filename_cat($ENV{'PHAROSIS_SRC_HOME'},"resources","templates","query_id.xml");
     my $query_this_filename = &util::filename_cat($tmp_dir,"query_id.xml");
     
@@ -96,5 +96,5 @@
     
     
-    my $jar_filename = &util::filename_cat($ENV{'PHAROSIS_HOME'},"ImageIS.jar");
+    my $jar_filename = &util::filename_cat($ENV{'PHAROSIS_SRC_HOME'},"ImageIS.jar");
     my $java_cmd = "java -jar \"$jar_filename\" \"$query_this_filename\"";
 